Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416219 - [RFE] importing itemized subscriptions for content-hosts and activation-keys needs to support future dated subs
Summary: [RFE] importing itemized subscriptions for content-hosts and activation-keys ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer - Content
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 22:09 UTC by Tom McKay
Modified: 2019-08-12 14:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:07:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18229 0 None None None 2017-01-24 22:09:11 UTC

Description Tom McKay 2017-01-24 22:09:08 UTC
When future-dated subscriptions become available in manifests, importing a CSV to mirror existing with future dated subs needs to work.

For example, a content-host has a "RHEL" sub that expires 2017-02-01. An export csv could be modified to duplicate that subscription with a new one that starts 2017-02-02. Start dates should be a column checked when making the import.

Comment 1 Tom McKay 2017-01-24 22:09:14 UTC
Created from redmine issue http://projects.theforeman.org/issues/18229

Comment 2 Tom McKay 2017-01-24 22:09:20 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 4 Satellite Program 2017-01-25 09:09:11 UTC
Upstream bug assigned to tomckay@redhat.com

Comment 6 Bryan Kearney 2018-09-04 18:57:04 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 7 Bryan Kearney 2018-09-04 19:07:49 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.